WordPress.org

Forums

Postie
[resolved] S2Member Conflict (6 posts)

  1. bamforp
    Member
    Posted 1 year ago #

    S2Member is highlighting the following warning and by elimination it's Postie that is triggering the conflict. Is there any workaround?

    "New User Email Configuration:-
    Conflict warning: You have another theme or plugin installed that is preventing s2Member from controlling this aspect of your installation. When the pluggable function wp_new_user_notification() is handled by another plugin, it's not possible for s2Member to allow customization of New User Emails".

    many thanks

    http://wordpress.org/plugins/postie/

  2. Wayne Allen
    Member
    Plugin Author

    Posted 1 year ago #

    Postie does not use wp_new_user_notification() in any form.

  3. bamforp
    Member
    Posted 1 year ago #

    Hi Wayne,

    I did some digging on S2Member forums and issue appears to be that postie.php includes pluggable.php at line 180 which prevents other plugins from redefining any of the pluggable functions.

    The relevant topic is here ... http://www.s2member.com/forums/topic/strange-conflict-with-plugin/

    Is this something you could take a look at?

    Thanks

    Peter

  4. Wayne Allen
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks for the great research. I have removed the reference to pluggable.php in the next version.

  5. bamforp
    Member
    Posted 1 year ago #

    Great - many thanks.

  6. Wayne Allen
    Member
    Plugin Author

    Posted 1 year ago #

    1.5.17 has been released with this fix.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Postie
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags